import { IExporter } from '../exporter.interface';
import { SpanExporter } from '@opentelemetry/sdk-trace-base';
import { OpenTelemetryConfig } from '../../../configuration/opentelemetry-config';
import * as i0 from "@angular/core";
/**
 * OtelcolExporterService class
 */
export declare class OtelcolExporterService implements IExporter {
    /**
     * CollectorExporterConfigBase
     */
    private otelcolConfig;
    /**
     * constructor
     *
     * @param config OpenTelemetryConfig
     */
    constructor(config: OpenTelemetryConfig);
    /**
     * Return a CollectorExporter with the configuration
     *
     * @return a CollectorExporter
     */
    getExporter(): SpanExporter;
    static ɵfac: i0.ɵɵFactoryDeclaration<OtelcolExporterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OtelcolExporterService>;
}
