import { IExporter } from '../exporter.interface';
import { SpanExporter } from '@opentelemetry/sdk-trace-base';
import { OpenTelemetryConfig } from '../../../configuration/opentelemetry-config';
import * as i0 from "@angular/core";
/**
 * ZipkinExporterService class
 */
export declare class ZipkinExporterService implements IExporter {
    /**
     * zipkinConfig
     */
    private zipkinConfig;
    /**
     * constructor
     *
     * @param config OpenTelemetryConfig
     */
    constructor(config: OpenTelemetryConfig);
    /**
     * Return a ZipkinExporter configured with zipkinConfig field
     *
     * @return SpanExporter
     */
    getExporter(): SpanExporter;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZipkinExporterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ZipkinExporterService>;
}
