import { IPropagator } from '../propagator.interface';
import { TextMapPropagator } from '@opentelemetry/api';
import { OpenTelemetryConfig } from '../../../configuration/opentelemetry-config';
import * as i0 from "@angular/core";
/**
 * B3PropagatorService
 *
 * Can be a single or multi header.
 *
 * See Configuration for more information
 */
export declare class B3PropagatorService implements IPropagator {
    /**
     * B3PropagatorConfig
     */
    private b3PropagatorConfig;
    /**
     * Constructor
     *
     * @param config OpenTelemetryConfig
     */
    constructor(config: OpenTelemetryConfig);
    /**
     * Define if it's a single or multi header
     *
     * @param value string (0 => single header, 1 => Multi Header)
     * @return B3InjectEncoding
     */
    private static defineB3Encoding;
    /**
     * Return an B3Propagator
     *
     * @return TextMapPropagator as B3Propagator
     */
    getPropagator(): TextMapPropagator;
    static ɵfac: i0.ɵɵFactoryDeclaration<B3PropagatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<B3PropagatorService>;
}
