import { IPropagator } from '../propagator.interface';
import { TextMapPropagator } from '@opentelemetry/api';
import { B3PropagatorService } from '../b3-propagator/b3-propagator.service';
import { W3CTraceContextPropagatorService } from '../w3c-trace-context-propagator/w3c-trace-context-propagator.service';
import { JaegerHttpTracePropagatorService } from '../jaeger-http-trace-propagator/jaeger-http-trace-propagator.service';
import { AwsXrayPropagatorService } from '../aws-xray-propagator/aws-xray-propagator.service';
import * as i0 from "@angular/core";
/**
 * CompositePropagatorService
 */
export declare class CompositePropagatorService implements IPropagator {
    private b3PropagatorService;
    private w3cTraceContextPropagatorService;
    private jaegerHttpTracePropagatorService;
    private awsXrayPropagatorService;
    /**
     * Constructor
     */
    constructor(b3PropagatorService: B3PropagatorService, w3cTraceContextPropagatorService: W3CTraceContextPropagatorService, jaegerHttpTracePropagatorService: JaegerHttpTracePropagatorService, awsXrayPropagatorService: AwsXrayPropagatorService);
    /**
     * Return an CompositePropagator
     *
     * @return TextMapPropagator as CompositePropagator
     */
    getPropagator(): TextMapPropagator;
    static ɵfac: i0.ɵɵFactoryDeclaration<CompositePropagatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CompositePropagatorService>;
}
